import React from "react";
import { StyleSheet, View, TouchableOpacity } from "react-native";
import { Card, Paragraph } from "react-native-paper";
import { Icon } from "react-native-elements";

const ManageSalamanderCard = (props) => {
  return (
    <TouchableOpacity
      onPress={() => props.navigateToSalamanderOverview(props.title)}
    >
      <Card style={styles.card}>
        <View style={{ flexDirection: "row" }}>
          <View style={{ width: "90%" }}>
            <Card.Title title={"ID: " + props.title} />
            <Card.Content>
              <Paragraph>Number of images: {props.individuals.toString()}</Paragraph>
              <Paragraph>Species: {props.species}</Paragraph>
              <Paragraph>Sex: {props.sex}</Paragraph>
              <Paragraph>Date: {props.date}</Paragraph>
            </Card.Content>
          </View>
          <View style={styles.icon}>
            <Icon name={"chevron-right"} />
          </View>
        </View>
      </Card>
    </TouchableOpacity>
  );
};

export default ManageSalamanderCard;

const styles = StyleSheet.create({
  card: {
    margin: 10,
    paddingBottom: 15
  },
  icon: {
    paddingTop: 15,
    alignSelf: "center"
  },
});
